---
url: "https://developers.zinnia.com/apis/policy-service-0-1-0/versions/8306e031-b41c-452a-a7ed-d73d65602086"
---

OpenAPI specification document.

```json
{"openapi":"3.0.0","paths":{"/policy/v1/policies/search":{"post":{"operationId":"Policy Search","summary":"Search Policies","parameters":[{"name":"sortBy","required":false,"in":"query","description":"field to sort by","schema":{"type":"string"}},{"name":"sortOrder","required":false,"in":"query","description":"order to sort (asc or desc)","schema":{"type":"string"}},{"name":"limit","required":false,"in":"query","description":"number of results to limit to","schema":{"type":"number"}},{"name":"offset","required":false,"in":"query","description":"index to start page search at","schema":{"type":"number"}}],"requestBody":{"required":true,"description":"Optional search criteria, none, some, or all criteria can be used. Values cannot be null.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicySearchRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicySearchResponse"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicySearchResponse"}}}}},"security":[{"Auth0":[]}],"tags":["Search"]}},"/policy/v1/policies/{planCode}/{policyNumber}/versions":{"get":{"operationId":"Policy Versions","x-scopes":"read:policy","summary":"Get policy versions","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"limit","required":false,"in":"query","schema":{"type":"integer"}},{"name":"transactionType","required":false,"in":"query","description":"Specifies the type of transaction being performed, such as Premium Payment, Loan Repayment, Anniversary etc","schema":{"enum":["Activation","AddOwner","AddressChange","AgentChange","AnnuitantChange","Anniversary","AnnualPolicyRefreshAndRecalculation","AssigneeChange","BankAccountChange","BeneficiaryChange","CalendarProcessing","CancelNoPremium","ClaimPayout","CommunicationPreferenceChange","ConversionActivation","CostOfInsurance","CoverageCharge","CoverageCredit","DeathClaim","DeliveryDateSetup","Disbursement","EmailChange","ExistingPartyNameChange","ExpenseCharge","FaceAmountChange","FaceAmountDecrease","FaceAmountIncrease","FeatureChange","ForceOut","FreeLookExpiration","FreeLookCancellation","FullSurrender","FundAllocationsChange","FundTransfer","GrantorChange","PaymentInitialPremium","IdentifierChange","InitialPremium","InterestCredit","InterestCreditLoan","InterestCreditMatch","InterestLoan","Issuance","Lapse","LapseAssessment","LoanAnniversaryTrueUp","LoanRepaymentOneTime","MatchBonusVesting","MultipleBeneficiaryChange","MultipleEmailChange","MultiplePayeeChange","MultipleAgentChange","MultipleOwnerChange","MultipleAnnuitantChange","MultiplePhoneNumberChange","NewLoan","NotificationOfDeathClaim","OneTimePremium","OwnerChange","PartialWithdrawalOneTime","PolicyDetailsChange","PayeeChange","PaymentExpiration","PaymentLoanRepaymentOneTime","PaymentOneTimePremium","PaymentSystematicLoanRepayment","PayorChange","PhoneNumberChange","RateRenewal","RemoveOwner","Rescission","PowerOfAttorneyChange","PreferredMailingAddressChange","Reinstatement","ReinstatementApproved","Reissuance","RequiredMinimumDistributionOneTime","SubsequentPayment","SubsequentPremium","Sweep","SystematicLoanRepayment","SystematicLoanRepaymentSetup","SystematicPartialWithdrawal","SystematicPartialWithdrawalSetup","SystematicRequiredMinimumDistribution","SystematicRequiredMinimumDistributionSetup","SystematicPaymentSetup","SystematicAnnuityPayout","SystematicAnnuityPayoutSetup","SystematicProgramUpdate","TPDChange","TrusteeChange","UnitExpenseCharge","ValueAdjustment","YearBeginningRefreshAndRecalculation","WithdrawnApplication","DollarCostAverage","ProcessingDate","ServiceCharge","TransferCharge","RiderAddition","Annuitization","AnnuityBenefitReduction","Reclassification","FlatExtraChange","Commutation","Dividend","DividendFeatureCharge","MarketTimerFee","InterimAnnualProcessing","HardshipWithdrawal","HardshipEnd","ResetBenefitAmounts","GuaranteedAccumulationBenefitPeriodEnd","GainLossChargeBack","SpousalContinuation","PeriodicCharge","DeathBenefitLockIn","RatchetLockIn","GrowthDeathBenefitLockIn","DateOfDeath","BenefitAmountAutoAdjustment","NotificationOfRiderClaimStart","LongTermCareBenefitStartStop","DailyRatchet","AnnuitizationAnniversary","DeclineFeeChange","GuaranteedWithdrawalBenefitPaymentLockIn","ExcessInterestCredit","LongTermCareWithdrawal","GuaranteedWithdrawalBenefitInterestAdjustment","InvestmentAdvisorFee","PayoutAmountChange","AdditionalBenefitStart","AdditionalBenefitEnd","RiderActivationAnniversary","AdditionalBenefitRenew","QualifiedPlanChange","AdvanceAnnuityPayment","PartialCommutation","GuaranteedIndexRates","BailoutRenewal","NonLifeAnnuitization","AdditionalBenefitReCertification","CostBasisReceived","FreeWithdrawalRecalculation","YearEndGain","LongTermCareCertificationDate","QuarterlyProcessing","BenefitBaseAdjustment","RiderBenefitBaseLockIn","GuaranteedDeathBenefitRollUpRenew","GuaranteedWithdrawalBenefitRollUpRenew","RiderCharge","LongTermCareFeeStartStop","LongTermCareAssessmentCharge","RoleBirthday","PendingUnclaimedProperty","PendingPartialUnclaimedProperty","LiquidatedUnclaimedProperty","SystematicRiderClaimWithdrawalSetup","SystematicRiderClaimWithdrawal","TaxWithholdingChange","MultipleTrusteeChange","MultiplePowerOfAttorneyChange","OtherInterestedPartyChange","MultipleAuthorizedSignatoryChange","AuthorizedSignatoryChange","ExchangeCompanyChange","BillingFeatureChange","GWBPhaseChange"],"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PolicyEvent"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Overview"]}},"/policy/v1/policies/{planCode}/{policyNumber}/versions/{version}":{"get":{"operationId":"Policy By Version","summary":"Get Policy By Version","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"version","required":true,"in":"path","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Policy"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Overview"]}},"/policy/v1/policies/{planCode}/{policyNumber}/transactions":{"get":{"operationId":"Transactions","summary":"Get Policy Transactions","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"reverseInitiatorOnly","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"status","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"endDate","required":false,"in":"query","schema":{"type":"string"}},{"name":"startDate","required":false,"in":"query","schema":{"type":"string"}},{"name":"limit","required":false,"in":"query","schema":{"type":"integer"}},{"name":"offset","required":false,"in":"query","schema":{"type":"integer"}},{"name":"sortField","required":false,"in":"query","schema":{"enum":["EFFECTIVEDATE","PROCESSDATE","REVERSALDATE"],"type":"string"}},{"name":"sortOrder","required":false,"in":"query","schema":{"enum":["ASC","DESC"],"type":"string"}},{"name":"version","required":false,"in":"query","schema":{"type":"integer"}},{"name":"transactionTypes","required":false,"in":"query","description":"Specifies the type of transaction being performed, such as Premium Payment, Loan Repayment, Anniversary etc","schema":{"type":"array","items":{"type":"string","enum":["Activation","AddOwner","AddressChange","AgentChange","AnnuitantChange","Anniversary","AnnualPolicyRefreshAndRecalculation","AssigneeChange","BankAccountChange","BeneficiaryChange","CalendarProcessing","CancelNoPremium","ClaimPayout","CommunicationPreferenceChange","ConversionActivation","CostOfInsurance","CoverageCharge","CoverageCredit","DeathClaim","DeliveryDateSetup","Disbursement","EmailChange","ExistingPartyNameChange","ExpenseCharge","FaceAmountChange","FaceAmountDecrease","FaceAmountIncrease","FeatureChange","ForceOut","FreeLookExpiration","FreeLookCancellation","FullSurrender","FundAllocationsChange","FundTransfer","GrantorChange","PaymentInitialPremium","IdentifierChange","InitialPremium","InterestCredit","InterestCreditLoan","InterestCreditMatch","InterestLoan","Issuance","Lapse","LapseAssessment","LoanAnniversaryTrueUp","LoanRepaymentOneTime","MatchBonusVesting","MultipleBeneficiaryChange","MultipleEmailChange","MultiplePayeeChange","MultipleAgentChange","MultipleOwnerChange","MultipleAnnuitantChange","MultiplePhoneNumberChange","NewLoan","NotificationOfDeathClaim","OneTimePremium","OwnerChange","PartialWithdrawalOneTime","PolicyDetailsChange","PayeeChange","PaymentExpiration","PaymentLoanRepaymentOneTime","PaymentOneTimePremium","PaymentSystematicLoanRepayment","PayorChange","PhoneNumberChange","RateRenewal","RemoveOwner","Rescission","PowerOfAttorneyChange","PreferredMailingAddressChange","Reinstatement","ReinstatementApproved","Reissuance","RequiredMinimumDistributionOneTime","SubsequentPayment","SubsequentPremium","Sweep","SystematicLoanRepayment","SystematicLoanRepaymentSetup","SystematicPartialWithdrawal","SystematicPartialWithdrawalSetup","SystematicRequiredMinimumDistribution","SystematicRequiredMinimumDistributionSetup","SystematicPaymentSetup","SystematicAnnuityPayout","SystematicAnnuityPayoutSetup","SystematicProgramUpdate","TPDChange","TrusteeChange","UnitExpenseCharge","ValueAdjustment","YearBeginningRefreshAndRecalculation","WithdrawnApplication","DollarCostAverage","ProcessingDate","ServiceCharge","TransferCharge","RiderAddition","Annuitization","AnnuityBenefitReduction","Reclassification","FlatExtraChange","Commutation","Dividend","DividendFeatureCharge","MarketTimerFee","InterimAnnualProcessing","HardshipWithdrawal","HardshipEnd","ResetBenefitAmounts","GuaranteedAccumulationBenefitPeriodEnd","GainLossChargeBack","SpousalContinuation","PeriodicCharge","DeathBenefitLockIn","RatchetLockIn","GrowthDeathBenefitLockIn","DateOfDeath","BenefitAmountAutoAdjustment","NotificationOfRiderClaimStart","LongTermCareBenefitStartStop","DailyRatchet","AnnuitizationAnniversary","DeclineFeeChange","GuaranteedWithdrawalBenefitPaymentLockIn","ExcessInterestCredit","LongTermCareWithdrawal","GuaranteedWithdrawalBenefitInterestAdjustment","InvestmentAdvisorFee","PayoutAmountChange","AdditionalBenefitStart","AdditionalBenefitEnd","RiderActivationAnniversary","AdditionalBenefitRenew","QualifiedPlanChange","AdvanceAnnuityPayment","PartialCommutation","GuaranteedIndexRates","BailoutRenewal","NonLifeAnnuitization","AdditionalBenefitReCertification","CostBasisReceived","FreeWithdrawalRecalculation","YearEndGain","LongTermCareCertificationDate","QuarterlyProcessing","BenefitBaseAdjustment","RiderBenefitBaseLockIn","GuaranteedDeathBenefitRollUpRenew","GuaranteedWithdrawalBenefitRollUpRenew","RiderCharge","LongTermCareFeeStartStop","LongTermCareAssessmentCharge","RoleBirthday","PendingUnclaimedProperty","PendingPartialUnclaimedProperty","LiquidatedUnclaimedProperty","SystematicRiderClaimWithdrawalSetup","SystematicRiderClaimWithdrawal","TaxWithholdingChange","MultipleTrusteeChange","MultiplePowerOfAttorneyChange","OtherInterestedPartyChange","MultipleAuthorizedSignatoryChange","AuthorizedSignatoryChange","ExchangeCompanyChange","BillingFeatureChange","GWBPhaseChange"]}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/transactions/{transactionId}":{"get":{"operationId":"Transaction By Id","summary":"Get Policy Transaction by ID","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"transactionId","required":true,"in":"path","schema":{"type":"string"}},{"name":"status","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"endDate","required":false,"in":"query","schema":{"type":"string"}},{"name":"startDate","required":false,"in":"query","schema":{"type":"string"}},{"name":"limit","required":false,"in":"query","schema":{"type":"number"}},{"name":"offset","required":false,"in":"query","schema":{"type":"number"}},{"name":"sortOrder","required":false,"in":"query","schema":{"type":"string"}},{"name":"version","required":false,"in":"query","schema":{"type":"number"}},{"name":"transactionType","required":false,"in":"query","description":"Specifies the type of transaction being performed, such as Premium Payment, Loan Repayment, Anniversary etc","schema":{"enum":["Activation","AddOwner","AddressChange","AgentChange","AnnuitantChange","Anniversary","AnnualPolicyRefreshAndRecalculation","AssigneeChange","BankAccountChange","BeneficiaryChange","CalendarProcessing","CancelNoPremium","ClaimPayout","CommunicationPreferenceChange","ConversionActivation","CostOfInsurance","CoverageCharge","CoverageCredit","DeathClaim","DeliveryDateSetup","Disbursement","EmailChange","ExistingPartyNameChange","ExpenseCharge","FaceAmountChange","FaceAmountDecrease","FaceAmountIncrease","FeatureChange","ForceOut","FreeLookExpiration","FreeLookCancellation","FullSurrender","FundAllocationsChange","FundTransfer","GrantorChange","PaymentInitialPremium","IdentifierChange","InitialPremium","InterestCredit","InterestCreditLoan","InterestCreditMatch","InterestLoan","Issuance","Lapse","LapseAssessment","LoanAnniversaryTrueUp","LoanRepaymentOneTime","MatchBonusVesting","MultipleBeneficiaryChange","MultipleEmailChange","MultiplePayeeChange","MultipleAgentChange","MultipleOwnerChange","MultipleAnnuitantChange","MultiplePhoneNumberChange","NewLoan","NotificationOfDeathClaim","OneTimePremium","OwnerChange","PartialWithdrawalOneTime","PolicyDetailsChange","PayeeChange","PaymentExpiration","PaymentLoanRepaymentOneTime","PaymentOneTimePremium","PaymentSystematicLoanRepayment","PayorChange","PhoneNumberChange","RateRenewal","RemoveOwner","Rescission","PowerOfAttorneyChange","PreferredMailingAddressChange","Reinstatement","ReinstatementApproved","Reissuance","RequiredMinimumDistributionOneTime","SubsequentPayment","SubsequentPremium","Sweep","SystematicLoanRepayment","SystematicLoanRepaymentSetup","SystematicPartialWithdrawal","SystematicPartialWithdrawalSetup","SystematicRequiredMinimumDistribution","SystematicRequiredMinimumDistributionSetup","SystematicPaymentSetup","SystematicAnnuityPayout","SystematicAnnuityPayoutSetup","SystematicProgramUpdate","TPDChange","TrusteeChange","UnitExpenseCharge","ValueAdjustment","YearBeginningRefreshAndRecalculation","WithdrawnApplication","DollarCostAverage","ProcessingDate","ServiceCharge","TransferCharge","RiderAddition","Annuitization","AnnuityBenefitReduction","Reclassification","FlatExtraChange","Commutation","Dividend","DividendFeatureCharge","MarketTimerFee","InterimAnnualProcessing","HardshipWithdrawal","HardshipEnd","ResetBenefitAmounts","GuaranteedAccumulationBenefitPeriodEnd","GainLossChargeBack","SpousalContinuation","PeriodicCharge","DeathBenefitLockIn","RatchetLockIn","GrowthDeathBenefitLockIn","DateOfDeath","BenefitAmountAutoAdjustment","NotificationOfRiderClaimStart","LongTermCareBenefitStartStop","DailyRatchet","AnnuitizationAnniversary","DeclineFeeChange","GuaranteedWithdrawalBenefitPaymentLockIn","ExcessInterestCredit","LongTermCareWithdrawal","GuaranteedWithdrawalBenefitInterestAdjustment","InvestmentAdvisorFee","PayoutAmountChange","AdditionalBenefitStart","AdditionalBenefitEnd","RiderActivationAnniversary","AdditionalBenefitRenew","QualifiedPlanChange","AdvanceAnnuityPayment","PartialCommutation","GuaranteedIndexRates","BailoutRenewal","NonLifeAnnuitization","AdditionalBenefitReCertification","CostBasisReceived","FreeWithdrawalRecalculation","YearEndGain","LongTermCareCertificationDate","QuarterlyProcessing","BenefitBaseAdjustment","RiderBenefitBaseLockIn","GuaranteedDeathBenefitRollUpRenew","GuaranteedWithdrawalBenefitRollUpRenew","RiderCharge","LongTermCareFeeStartStop","LongTermCareAssessmentCharge","RoleBirthday","PendingUnclaimedProperty","PendingPartialUnclaimedProperty","LiquidatedUnclaimedProperty","SystematicRiderClaimWithdrawalSetup","SystematicRiderClaimWithdrawal","TaxWithholdingChange","MultipleTrusteeChange","MultiplePowerOfAttorneyChange","OtherInterestedPartyChange","MultipleAuthorizedSignatoryChange","AuthorizedSignatoryChange","ExchangeCompanyChange","BillingFeatureChange","GWBPhaseChange"],"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transaction"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/transactions/{externalIdType}/{externalId}":{"get":{"operationId":"Transaction by External Transaction Id","summary":"Get Transaction by External Transaction Id","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"externalId","required":true,"in":"path","schema":{"type":"string"}},{"name":"externalIdType","required":true,"in":"path","schema":{"enum":["ExternalTransactionId","ReferenceNumber","ExternalArrangementId"],"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Transaction"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/systematicPrograms":{"get":{"operationId":"Systematic Programs","summary":"Get Policy Systematic Programs","parameters":[{"name":"referenceId","required":false,"in":"query","schema":{"type":"string"}},{"name":"referenceType","required":false,"in":"query","schema":{"enum":["PartyId","BankId","AddressId"],"type":"string"}},{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystematicProgram"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/systematicPrograms/{externalIdType}/{externalId}":{"get":{"operationId":"Systematic Programs for External Transaction Id","summary":"Get Systematic Programs by External Transaction Id","parameters":[{"name":"referenceId","required":false,"in":"query","schema":{"type":"string"}},{"name":"referenceType","required":false,"in":"query","schema":{"enum":["PartyId","BankId","AddressId"],"type":"string"}},{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"externalId","required":true,"in":"path","schema":{"type":"string"}},{"name":"externalIdType","required":true,"in":"path","schema":{"enum":["ExternalTransactionId","ReferenceNumber","ExternalArrangementId"],"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystematicProgram"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/riders":{"get":{"operationId":"Riders","summary":"Get Policy Riders","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Rider"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/parties":{"get":{"operationId":"Parties","summary":"Get Policy Parties","parameters":[{"name":"partyRole","required":false,"in":"query","schema":{"enum":["Owner","JointOwner","Annuitant","JointAnnuitant","Payee","Payor","ThirdPartyDesignee","PrimaryBeneficiary","ContingentBeneficiary","Grantor","Trustee","PowerOfAttorney"],"type":"string"}},{"name":"partyId","required":false,"in":"query","schema":{"type":"string"}},{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PolicyPartyResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/lpspayload":{"get":{"operationId":"Policy Illustration Information","summary":"Get Policy LPS Payload","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LPSPayloadResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/features":{"get":{"operationId":"Features","summary":"Get Policy Features","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PolicyFeature"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/distribution":{"get":{"operationId":"Distribution of Investments","summary":"Get Policy Distribution","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"version","required":false,"in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Distribution"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}/coverage":{"get":{"operationId":"Coverage","summary":"Get Policy Coverage","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyCoverage"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Details"]}},"/policy/v1/policies/{planCode}/{policyNumber}":{"get":{"operationId":"Policy Overview","summary":"Get Policy Details","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}},{"name":"external-data","required":false,"in":"query","description":"Controls external data enrichment (e.g. DTCC) for AMP SOR requests. When false, external data population is skipped.","schema":{"type":"boolean"}},{"name":"date","required":false,"in":"query","schema":{"type":"string"}},{"name":"viewDetails","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"version","required":false,"in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"Returns data for a specific policy","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/Policy"},{"$ref":"#/components/schemas/PolicySummary"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs"}},"security":[{"Auth0":[]}],"tags":["Overview"]}},"/policy/v1/policies/{planCode}/{policyNumber}/metrics":{"post":{"operationId":"Metrics","summary":"Policy Metrics","parameters":[{"name":"planCode","required":true,"in":"path","schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PolicyMetricsRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PolicyMetricsResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetricsErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetricsErrorResponse"}}}},"500":{"description":"Unexpected error occured, please check server logs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetricsErrorResponse"}}}}},"security":[{"Auth0":[]}],"tags":["Metrics"]}},"/policy-inquiry/v1/policies/{policyNumber}/summary":{"get":{"operationId":"IRI Policy Summary","summary":"Get IRI Policy Summary","parameters":[{"name":"associatedFirmId","required":false,"in":"query","description":"Optional firm/linkage identifier (preferred location per IRI).","schema":{"type":"string"}},{"name":"correlationId","in":"header","description":"Unique identifier to trace the request.","required":false,"schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriPolicySummary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"500":{"description":"Unexpected error occured, please check server logs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}}},"security":[{"Auth0":[]}],"tags":["Policy Summary"]}},"/policy-inquiry/v1/policies/{policyNumber}/values":{"get":{"operationId":"IRI Policy Value","summary":"Get IRI Policy Value","parameters":[{"name":"associatedFirmId","required":false,"in":"query","description":"Optional firm/linkage identifier (preferred location per IRI).","schema":{"type":"string"}},{"name":"correlationId","in":"header","description":"Unique identifier to trace the request.","required":false,"schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriPolicyValue"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"500":{"description":"Unexpected error occured, please check server logs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}}},"security":[{"Auth0":[]}],"tags":["Policy Value"]}},"/policy-inquiry/v1/policies/{policyNumber}/parties":{"get":{"operationId":"IRI Policy Parties","summary":"Get IRI Policy Parties","parameters":[{"name":"limit","required":false,"in":"query","description":"Page size (default 50, max 200)","schema":{"type":"number"}},{"name":"startIndex","required":false,"in":"query","description":"Zero-based index of the first record to return","schema":{"type":"number"}},{"name":"associatedFirmId","required":false,"in":"query","description":"Optional firm/linkage identifier (preferred location per IRI).","schema":{"type":"string"}},{"name":"correlationId","in":"header","description":"Unique identifier to trace the request.","required":false,"schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriPolicyParties"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"500":{"description":"Unexpected error occured, please check server logs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}}},"security":[{"Auth0":[]}],"tags":["Policy Parties"]}},"/policy-inquiry/v1/policies/{policyNumber}/transactions":{"get":{"operationId":"IRI Policy Transactions","summary":"Get IRI Policy Transactions","parameters":[{"name":"limit","required":false,"in":"query","description":"Page size (default 50, max 200)","schema":{"type":"number"}},{"name":"startIndex","required":false,"in":"query","description":"Zero-based index of the first record to return","schema":{"type":"number"}},{"name":"transactionTypes","required":false,"in":"query","description":"Filter by one or more transaction type codes (comma-separated).","schema":{"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"Filter transactions up to this date (inclusive).","schema":{"type":"string"}},{"name":"startDate","required":false,"in":"query","description":"Filter transactions from this date (inclusive).","schema":{"type":"string"}},{"name":"associatedFirmId","required":false,"in":"query","description":"Optional firm/linkage identifier (preferred location per IRI).","schema":{"type":"string"}},{"name":"correlationId","in":"header","description":"Unique identifier to trace the request.","required":false,"schema":{"type":"string"}},{"name":"policyNumber","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriPolicyTransactions"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}},"500":{"description":"Unexpected error occured, please check server logs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IriError"}}}}},"security":[{"Auth0":[]}],"tags":["Policy Transactions"]}}},"info":{"title":"Policy Service","description":"Enterprise level policy service","version":"0.0.21","contact":{}},"tags":[{"name":"Search","description":"Search for policies"},{"name":"Overview","description":"Get policy overview"},{"name":"Details","description":"Get policy details"},{"name":"Metrics","description":"Get policy metrics"}],"servers":[{"url":"https://qa.api.zinnia.io"}],"components":{"securitySchemes":{"Auth0":{"type":"openIdConnect","openIdConnectUrl":"https://login.qa.zinnia.com/.well-known/openid-configuration","x-kong-security-openid-connect":{"config":{"issuer":"https://login.qa.zinnia.com/.well-known/openid-configuration","extra_jwks_uris":["https://login.qa.mypolicyview.com/.well-known/jwks.json"],"issuers_allowed":["https://login.qa.zinnia.com/","https://login.qa.mypolicyview.com/"],"run_on_preflight":true,"scopes_claim":["https://qa.api.zinnia.io/permissions"],"audience_claim":["aud"],"audience_required":["https://qa.api.zinnia.io"],"auth_methods":["bearer"],"scopes":[]},"enabled":true,"protocols":["grpc","grpcs","http","https"]}}},"schemas":{"PolicySearchRequest":{"type":"object","properties":{"firstName":{"type":"string","description":"policy owner first name"},"policyNumber":{"type":"string","description":"number/subjective id of policy. Optionally, you can partial search if SSN is also using partial search (e.g. `*1234`)"},"lastName":{"type":"string","description":"policy owner last name"},"fullName":{"type":"string","description":"policy owner full name. Optionally support partial search"},"policyStatus":{"type":"string","description":"status of policy, needs to be enum"},"planCode":{"type":"string","description":"plan code for policy"},"lastUpdated":{"format":"date-time","type":"string","description":"last time policy was updated"},"createdAt":{"format":"date-time","type":"string","description":"creation time of the policy"},"ssn":{"type":"string","description":"Policy owner social security number. SSN should be 9 digits, or the last four (e.g. `*1234`) when policy number is also last four (partial search)"},"id":{"type":"string","description":"reference id of the policy, fully unique"},"lineOfBusiness":{"type":"string","description":"line of business to search for, options are LIFE or Annuity Product"},"partyIds":{"description":"list of party ids associated with the policy","example":["4fd32e7aecc24888be9c5418d6dc646a","2739e8897e7141189ccd366f7d054ff0"],"type":"array","items":{"type":"string"}},"issueDateFrom":{"type":"string","format":"date","description":"Start date for issue date range query in YYYY-MM-DD format","example":"2024-01-01"},"issueDateTo":{"type":"string","format":"date","description":"End date for issue date range query in YYYY-MM-DD format","example":"2024-12-31"}}},"PolicyReferenceDataModel":{"type":"object","properties":{"policyNumber":{"type":"string","description":"number/subjective id of policy","example":"POLICY1234567890"},"planCode":{"type":"string","description":"plan code for policy","example":"PLAN001"},"productName":{"type":"string","description":"product name of policy","example":"Deluxe Universal Life"},"firstName":{"type":"string","description":"policy owner first name","example":"Nick"},"lastName":{"type":"string","description":"policy owner last name","example":"Burdell"},"fullName":{"type":"string","description":"policy owner full name","example":"Nick Burdell"},"policyStatus":{"type":"string","description":"status of policy, needs to be enum","example":"IGO"},"lineOfBusiness":{"type":"string","description":"line of business, usually LIFE or ANNUITY","example":"LIFE"},"restrictionStatus":{"description":"restriction status in SOR","example":["LEGAL"],"type":"array","items":{"type":"string"}},"carrierId":{"type":"string","description":"4 character id of carrier, also called clientCode or companyCode","example":"EVGL"},"companyName":{"type":"string","description":"Company associated with policyholder","example":"Everglades"},"ssn":{"type":"string","description":"Social security number of policy holder, masked on return"},"productType":{"type":"string","description":"Type of the product","example":"universal"},"lastUpdated":{"format":"date-time","type":"string","description":"last time policy was updated"},"createdAt":{"format":"date-time","type":"string","description":"creation date of the policy"},"id":{"type":"string","description":"reference id of the policy, fully unique","example":"3cc99edada4f4a88be77cef53ba0b3fd"},"partyIds":{"description":"list of party ids associated with the policy","example":["4fd32e7aecc24888be9c5418d6dc646a","2739e8897e7141189ccd366f7d054ff0"],"type":"array","items":{"type":"string"}},"issueDate":{"type":"string","format":"date","description":"Issue date of the policy in YYYY-MM-DD format","example":"2024-09-30"}},"required":["policyNumber","createdAt"]},"PolicySearchResponse":{"type":"object","properties":{"total":{"type":"number","example":121},"count":{"type":"number","example":1},"next":{"type":"string","example":"/policy/v1/policies/search?offset=10&limit=10"},"previous":{"type":"string","example":""},"results":{"description":"array of policy reference data","type":"array","items":{"$ref":"#/components/schemas/PolicyReferenceDataModel"}}},"required":["total","count","next","previous","results"]},"InstanceExceptionModel":{"type":"object","properties":{"id":{"type":"string","description":"Exception identifier","example":"exc-123"},"externalId":{"type":"string","description":"External identifier for the exception","example":"EXT-123"},"status":{"type":"string","description":"Current status of the exception","example":"Open"},"category":{"type":"string","description":"Exception category","example":"Documentation"},"exceptionType":{"type":"string","description":"Type of exception","example":"Technical"},"reason":{"type":"string","description":"Brief reason for the exception","example":"Missing document"},"detailedReason":{"type":"string","description":"Detailed description of the exception reason","example":"Signature missing on page 3 of application form"},"processingReason":{"type":"string","description":"Processing reason for the exception","example":"Requires manual review"},"processingResolution":{"type":"string","description":"Resolution details for processing","example":"Document resent by applicant"},"createdAt":{"type":"string","description":"Date when the exception was created","example":"2023-01-15T10:30:00Z"},"updatedAt":{"type":"string","description":"Date when the exception was last updated","example":"2023-01-16T14:45:00Z"}}},"IdentifierDocument":{"type":"object","properties":{"identifier":{"type":"string","description":"Type of identifier","example":"SSN"},"value":{"type":"string","description":"Value of the identifier","example":"123-45-6789"}}},"CaseSearchModel":{"type":"object","properties":{"applicationType":{"type":"string","description":"Type of application"},"policyNumber":{"type":"string","description":"Policy number to search for","example":"POL123456789"},"requestSubType":{"description":"List of request sub-types to filter by","type":"array","items":{"type":"string"}},"productName":{"description":"List of product names to filter by","type":"array","items":{"type":"string"}},"ssn":{"type":"string","description":"Social Security Number of policy owner"},"ownerName":{"type":"string","description":"Full name of the policy owner","example":"John Doe"},"ownerFirstName":{"type":"string","description":"First name of policy owner","example":"John"},"ownerLastName":{"type":"string","description":"Last name of policy owner","example":"Doe"},"process":{"description":"List of processes to filter by","type":"array","items":{"type":"string"}},"carrier":{"description":"List of carriers to filter by","example":["EVGL"],"type":"array","items":{"type":"string"}},"caseStatus":{"description":"List of case statuses to filter by","type":"array","items":{"type":"string"}},"createdDateStart":{"format":"date-time","type":"string","description":"Start date for filtering by case creation date","example":"2023-01-01T00:00:00Z"},"createdDateEnd":{"format":"date-time","type":"string","description":"End date for filtering by case creation date","example":"2023-12-31T23:59:59Z"},"updatedDateStart":{"format":"date-time","type":"string","description":"Start date for filtering by case update date","example":"2023-01-01T00:00:00Z"},"updatedDateEnd":{"format":"date-time","type":"string","description":"End date for filtering by case update date","example":"2023-12-31T23:59:59Z"},"agentFirstName":{"type":"string","description":"First name of the agent","example":"Jane"},"agentLastName":{"type":"string","description":"Last name of the agent","example":"Smith"},"agentSsn":{"type":"string","description":"Social Security Number of agent"},"brokerDealerName":{"type":"string","description":"Name of the broker-dealer","example":"ABC Financial Services"},"caseIds":{"description":"List of case IDs to search for","example":["CASE123","CASE456"],"type":"array","items":{"type":"string"}},"sortBy":{"type":"string","description":"Field to sort results by","example":"createdAt"},"sortDirection":{"type":"string","description":"Direction of sorting (asc or desc)","example":"desc","enum":["asc","desc"]},"offset":{"type":"string","description":"Offset for pagination","example":"0"},"limit":{"type":"string","description":"Limit for pagination - number of results to return","example":"25"},"notInCaseStatus":{"description":"List of case statuses to exclude from results","type":"array","items":{"type":"string"}},"isIncludeSecondary":{"type":"boolean","description":"Whether to include secondary cases","example":true},"primary":{"type":"boolean","description":"Flag to filter for primary cases only","example":true},"exceptions":{"description":"List of exceptions to search for","type":"array","items":{"$ref":"#/components/schemas/InstanceExceptionModel"}},"identifiers":{"description":"List of identifiers to search for","type":"array","items":{"$ref":"#/components/schemas/IdentifierDocument"}},"issueStatus":{"description":"List of exception statuses to search for","type":"array","items":{"type":"string"}},"escalated":{"type":"boolean","description":"Flag to filter for escalated cases only","example":true},"caseGroups":{"description":"List of case groups to search for","type":"array","items":{"type":"string"}}}},"CaseInstanceStageSummary":{"type":"object","properties":{"id":{"type":"string","description":"Stage identifier","example":"stage-123"},"label":{"type":"string","description":"Display label for the stage","example":"Document Review"},"stageStatus":{"type":"string","description":"Current status of the stage","example":"Completed"}}},"PartyDetailsModel":{"type":"object","properties":{"partyRole":{"type":"string","description":"Role of the party in the case","example":"Owner"},"partyType":{"type":"string","description":"Type of party","example":"Individual"},"firstName":{"type":"string","description":"First name of the party","example":"John"},"middleName":{"type":"string","description":"Middle name of the party","example":"A"},"lastName":{"type":"string","description":"Last name of the party","example":"Doe"},"fullName":{"type":"string","description":"Full name of the party","example":"John A Doe"},"prefix":{"type":"string","description":"Name prefix","example":"Mr"},"suffix":{"type":"string","description":"Name suffix","example":"Jr"},"gender":{"type":"string","description":"Gender of the party","example":"Male"},"ssn":{"type":"string","description":"Social Security Number (masked)","example":"XXX-XX-1234"},"percent":{"type":"string","description":"Percentage value associated with the party","example":"50"},"externalId":{"type":"string","description":"External identifier for the party","example":"EXT-PARTY-123"}}},"CaseInstanceSummaryModel":{"type":"object","properties":{"id":{"type":"string","description":"Case instance identifier","example":"case-123"},"templateId":{"type":"string","description":"Template identifier used for the case","example":"template-456"},"carrier":{"type":"string","description":"Insurance carrier name","example":"EVGL Insurance"},"process":{"type":"string","description":"Process name","example":"New Business"},"parentInstanceId":{"type":"string","description":"Parent instance identifier","example":"parent-case-789"},"correlationId":{"type":"string","description":"Correlation identifier","example":"corr-123"},"caseStatus":{"type":"string","description":"Current status of the case","example":"In Progress"},"processSubType":{"type":"string","description":"Process sub-type","example":"New Application"},"policyNumber":{"type":"string","description":"Policy number","example":"POL123456789"},"productName":{"type":"string","description":"Name of the insurance product","example":"Term Life 20"},"primary":{"type":"boolean","description":"Indicates if this is a primary case","example":true},"deleted":{"type":"boolean","description":"Indicates if the case has been deleted","example":false},"stages":{"description":"List of case stages","type":"array","items":{"$ref":"#/components/schemas/CaseInstanceStageSummary"}},"additionalData":{"type":"object","description":"Additional data associated with the case","example":{"key1":"value1","key2":"value2"}},"identifiers":{"description":"List of identifiers for the case","type":"array","items":{"$ref":"#/components/schemas/IdentifierDocument"}},"createdAt":{"type":"string","description":"Date when the case was created","example":"2023-01-15T10:30:00Z"},"updatedAt":{"type":"string","description":"Date when the case was last updated","example":"2023-01-16T14:45:00Z"},"parties":{"description":"List of parties involved in the case","type":"array","items":{"$ref":"#/components/schemas/PartyDetailsModel"}},"exceptions":{"description":"List of exceptions associated with the case","type":"array","items":{"$ref":"#/components/schemas/InstanceExceptionModel"}},"applicationType":{"type":"string","description":"Type of application","example":"policy"},"caseResult":{"type":"string","description":"Result of the case processing","example":"Approved"},"caseResultDetail":{"type":"string","description":"Detailed result information","example":"Approved with standard rates"}},"required":["primary","deleted","additionalData","identifiers"]},"CaseInstanceSummaryResponse":{"type":"object","properties":{"message":{"type":"string","description":"Response message","example":"Success"},"data":{"description":"Array of case instance summaries","items":{"$ref":"#/components/schemas/CaseInstanceSummaryModel"},"type":"array"},"count":{"type":"number","description":"Number of results in the current page","example":10},"offset":{"type":"number","description":"Starting index of the results","example":0},"limit":{"type":"number","description":"Maximum number of results to return","example":25},"total":{"type":"number","description":"Total number of results available","example":100},"status":{"type":"number","description":"HTTP status code","example":200}},"required":["data","count","offset","limit","total","status"]},"CaseStatsSearchModel":{"type":"object","properties":{"applicationType":{"type":"string","description":"Type of application"},"policyNumber":{"type":"string","description":"Policy number to search for","example":"POL123456789"},"requestSubType":{"description":"List of request sub-types to filter by","type":"array","items":{"type":"string"}},"productName":{"description":"List of product names to filter by","type":"array","items":{"type":"string"}},"ssn":{"type":"string","description":"Social Security Number of policy owner"},"ownerName":{"type":"string","description":"Full name of the policy owner","example":"John Doe"},"ownerFirstName":{"type":"string","description":"First name of policy owner","example":"John"},"ownerLastName":{"type":"string","description":"Last name of policy owner","example":"Doe"},"process":{"description":"List of processes to filter by","type":"array","items":{"type":"string"}},"carrier":{"description":"List of carriers to filter by","example":["EVGL"],"type":"array","items":{"type":"string"}},"caseStatus":{"description":"List of case statuses to filter by","type":"array","items":{"type":"string"}},"createdDateStart":{"format":"date-time","type":"string","description":"Start date for filtering by case creation date","example":"2023-01-01T00:00:00Z"},"createdDateEnd":{"format":"date-time","type":"string","description":"End date for filtering by case creation date","example":"2023-12-31T23:59:59Z"},"updatedDateStart":{"format":"date-time","type":"string","description":"Start date for filtering by case update date","example":"2023-01-01T00:00:00Z"},"updatedDateEnd":{"format":"date-time","type":"string","description":"End date for filtering by case update date","example":"2023-12-31T23:59:59Z"},"agentFirstName":{"type":"string","description":"First name of the agent","example":"Jane"},"agentLastName":{"type":"string","description":"Last name of the agent","example":"Smith"},"agentSsn":{"type":"string","description":"Social Security Number of agent"},"brokerDealerName":{"type":"string","description":"Name of the broker-dealer","example":"ABC Financial Services"},"caseIds":{"description":"List of case IDs to search for","example":["CASE123","CASE456"],"type":"array","items":{"type":"string"}},"sortBy":{"type":"string","description":"Field to sort results by","example":"createdAt"},"sortDirection":{"type":"string","description":"Direction of sorting (asc or desc)","example":"desc","enum":["asc","desc"]},"offset":{"type":"string","description":"Offset for pagination","example":"0"},"limit":{"type":"string","description":"Limit for pagination - number of results to return","example":"25"},"notInCaseStatus":{"description":"List of case statuses to exclude from results","type":"array","items":{"type":"string"}},"isIncludeSecondary":{"type":"boolean","description":"Whether to include secondary cases","example":true},"primary":{"type":"boolean","description":"Flag to filter for primary cases only","example":true},"exceptions":{"description":"List of exceptions to search for","type":"array","items":{"$ref":"#/components/schemas/InstanceExceptionModel"}},"identifiers":{"description":"List of identifiers to search for","type":"array","items":{"$ref":"#/components/schemas/IdentifierDocument"}},"issueStatus":{"description":"List of exception statuses to search for","type":"array","items":{"type":"string"}},"escalated":{"type":"boolean","description":"Flag to filter for escalated cases only","example":true},"caseGroups":{"description":"List of case groups to search for","type":"array","items":{"type":"string"}},"groupBy":{"type":"array","description":"List of fields to group by","example":["caseStatus"],"items":{"type":"string","enum":["policyNumber","ssn","ownerName","process","carrier","caseStatus","applicationType"]}}},"required":["groupBy"]},"CaseCount":{"type":"object","properties":{"label":{"type":"string","description":"Label of the grouped value","example":"IN_PROGRESS"},"value":{"type":"number","description":"Count for the grouped label","example":12}}},"CaseStats":{"type":"object","properties":{"attribute":{"type":"string","description":"Grouping attribute name","example":"caseStatus"},"counts":{"description":"Counts by label for the attribute","type":"array","items":{"$ref":"#/components/schemas/CaseCount"}}}},"CaseStatsResponseModel":{"type":"object","properties":{"count":{"type":"number","description":"Total count of matching cases","example":100},"stats":{"description":"Grouped case statistics","type":"array","items":{"$ref":"#/components/schemas/CaseStats"}}}},"SearchFiltersRequestModel":{"type":"object","properties":{"applicationType":{"type":"string","description":"Type of application"},"policyNumber":{"type":"string","description":"Policy number to search for","example":"POL123456789"},"requestSubType":{"description":"List of request sub-types to filter by","type":"array","items":{"type":"string"}},"productName":{"description":"List of product names to filter by","type":"array","items":{"type":"string"}},"ssn":{"type":"string","description":"Social Security Number of policy owner"},"ownerName":{"type":"string","description":"Full name of the policy owner","example":"John Doe"},"ownerFirstName":{"type":"string","description":"First name of policy owner","example":"John"},"ownerLastName":{"type":"string","description":"Last name of policy owner","example":"Doe"},"process":{"description":"List of processes to filter by","type":"array","items":{"type":"string"}},"carrier":{"description":"List of carriers to filter by","example":["EVGL"],"type":"array","items":{"type":"string"}},"caseStatus":{"description":"List of case statuses to filter by","type":"array","items":{"type":"string"}},"createdDateStart":{"format":"date-time","type":"string","description":"Start date for filtering by case creation date","example":"2023-01-01T00:00:00Z"},"createdDateEnd":{"format":"date-time","type":"string","description":"End date for filtering by case creation date","example":"2023-12-31T23:59:59Z"},"updatedDateStart":{"format":"date-time","type":"string","description":"Start date for filtering by case update date","example":"2023-01-01T00:00:00Z"},"updatedDateEnd":{"format":"date-time","type":"string","description":"End date for filtering by case update date","example":"2023-12-31T23:59:59Z"},"agentFirstName":{"type":"string","description":"First name of the agent","example":"Jane"},"agentLastName":{"type":"string","description":"Last name of the agent","example":"Smith"},"agentSsn":{"type":"string","description":"Social Security Number of agent"},"brokerDealerName":{"type":"string","description":"Name of the broker-dealer","example":"ABC Financial Services"},"caseIds":{"description":"List of case IDs to search for","example":["CASE123","CASE456"],"type":"array","items":{"type":"string"}},"notInCaseStatus":{"description":"List of case statuses to exclude from results","type":"array","items":{"type":"string"}},"isIncludeSecondary":{"type":"boolean","description":"Whether to include secondary cases","example":true},"primary":{"type":"boolean","description":"Flag to filter for primary cases only","example":true},"exceptions":{"description":"List of exceptions to search for","type":"array","items":{"$ref":"#/components/schemas/InstanceExceptionModel"}},"identifiers":{"description":"List of identifiers to search for","type":"array","items":{"$ref":"#/components/schemas/IdentifierDocument"}},"issueStatus":{"description":"List of exception statuses to search for","type":"array","items":{"type":"string"}},"escalated":{"type":"boolean","description":"Flag to filter for escalated cases only","example":true},"caseGroups":{"description":"List of case groups to search for","type":"array","items":{"type":"string"}}}},"CarrierFilterModel":{"type":"object","properties":{"name":{"type":"string","description":"Carrier Code","example":"EVGL"},"products":{"description":"Products available under this carrier","type":"array","items":{"type":"string"}}},"required":["name","products"]},"CaseTypeFilterModel":{"type":"object","properties":{"name":{"type":"string","description":"Case type name","example":"New Business"},"caseSubTypes":{"description":"Case sub-types available under this case type","type":"array","items":{"type":"string"}}},"required":["name","caseSubTypes"]},"SearchFiltersResponseModel":{"type":"object","properties":{"carriers":{"description":"Authorized carrier codes, each with its nested products","type":"array","items":{"$ref":"#/components/schemas/CarrierFilterModel"}},"caseTypes":{"description":"Authorized case types, each with its nested case sub-types","type":"array","items":{"$ref":"#/components/schemas/CaseTypeFilterModel"}},"caseGroups":{"description":"Authorized case groups","type":"array","items":{"type":"string"}}},"required":["carriers","caseTypes","caseGroups"]},"Url":{"type":"object","properties":{"website":{"type":"string","description":"Carrier or Third party administrator website","example":"https://zinnialive.com/"},"carrierLogin":{"type":"string","description":"Carrier login","example":"https://zinnialive.com/"},"agentLogin":{"type":"string","description":"Agent login","example":"https://zinnialive.com/"},"customerLogin":{"type":"string","description":"Customer login","example":"https://wellabe.mypolicyview.com/"}}},"EntityType":{"type":"string","enum":["SOLEPROPRIETORSHIP","GENERALPARTNERSHIP","LIMITEDPARTNERSHIP","CCORPORATION","SCORPORATION","LIMITEDLIABILITYCOMPANY","CHARITABLEORGANIZATION","ESTATE","TRUST","CORPORATION","UNKNOWN"]},"CommunicationType":{"type":"string","enum":["EMAIL","REGULARMAIL","PHONE","FAX","TEXT","NOPREFERENCESPECIFIED","POSTAL","OTHER"]},"FormerOrganizationName":{"type":"object","properties":{"name":{"type":"string","description":"Former legal name of the Organization","example":"Karen Anne Bates"},"abbreviatedName":{"type":"string","description":"The former shortened/abbreviated version of the organization`s name that is unique to the organization","example":"TBD"},"doingBusinessAs":{"type":"string","description":"The former name the organization is commonly known as","example":"TBD"}}},"Identification":{"type":"object","properties":{"identificationId":{"type":"string","description":"A unique system-generated ID for tracking individual identifier records","example":"1"},"startDate":{"type":"string","description":"The date from which the party`s identifier is considered valid. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"endDate":{"type":"string","description":"The date after which the party`s identifier is no longer valid. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"identificationType":{"type":"string","enum":["PASSPORT","STATEPHOTOID","DRIVERLICENSENUMBER","SSN","TIN","EXTERNAL","EIN","NATIONALPRODUCERNUMBER","OTHER"],"description":"Specifies the kind of identifier provided for a party. It describes what type of document or number is being used to recognize or verify the party's identity","nullable":true},"identificationKey":{"type":"string","example":"666-50-8548","description":"A unique code (such as ECN, Life Party ID, or Series Code) used to uniquely identify and manage individuals, entities, or product groupings within life insurance and annuity systems"},"identificationValue":{"type":"string","example":"666-50-8548","description":"The unique number of the selected identification type","nullable":true},"identificationDescription":{"type":"string","example":"Employee Control Number","description":"A brief description of the identifier."},"issueState":{"type":"string","enum":["AA","AE","AL","AP","AK","AZ","AR","AS","CA","CO","CT","DC","DE","FL","GA","GU","HI","ID","IL","IN","IA","KS","KY","LA","ME","MD","MA","MI","MN","MS","MO","MP","MT","NE","NV","NH","NJ","NM","NY","NC","ND","OH","OK","OR","PA","PR","RI","SC","SD","TN","TX","UM","UT","VT","VA","VI","WA","WV","WI","WY"],"nullable":true},"issueCountry":{"type":"string","enum":["US","CA","RU","EG","ZA","GR","NL","BE","FR","ES","HU","IT","RO","CH","AT","GB","DK","SE","NO","PL","DE","PE","MX","CU","AR","BR","CL","CO","VE","MY","AU","ID","PH","NZ","SG","TH","JP","VN","CN","TR","IN","PK","AF","LK","IR","MA","DZ","TN","LY","GM","SN","MR","ML","GN","BF","NE","TG","BJ","MU","LR","SL","GH","NG","CF","TD","CM","CV","ST","GQ","GA","BS","AO","BB","AX","SD","RW","ET","SO","DJ","KE","TZ","UG","BI","MZ","ZM","MG","RE","ZW","NA","MW","LS","BW","AG","KM","GW","CD","VG","SH","AW","FO","GL","KY","GI","PT","LU","IE","IS","AL","MT","CY","FI","BG","GG","LT","LV","EE","MD","AM","BY","AD","SM","UA","HR","SI","BA","MK","XK","CZ","SK","LI","BM","GD","FK","BZ","GT","SV","HN","NI","CR","PM","HT","PR","VI","GS","SX","BQ","GP","BO","GY","EC","GF","PY","MQ","SR","UY","AN","TC","BL","MF","MS","GU","AQ","BN","NR","PG","TO","SB","VU","FJ","WF","CK","NU","AS","KI","NC","TV","PF","MP","PW","MH","FM","SS","LC","DM","VC","DO","HK","MO","KH","LA","TT","KN","JM","BD","TW","MM","KR","KP","LB","JO","SY","IQ","KW","SA","OM","AE","IL","BH","QA","BT","NP","TJ","TM","AZ","GE","UZ","AI","PA","CI","ER","KZ","KG","CC","MN","BV","SC","IO","WS","TL","TF","YT","PN","SJ","TK","UM","EH","MV","CX","NF","CG","MC","VA","SZ","PS","JE","IM","RS","ME","HM","CW","CS","YE","YD","SU","YU","ZR"],"nullable":true}}},"AddressType":{"type":"string","enum":["RESIDENCE","BUSINESS","POBOX","SEASONAL","SECONDARY","MAILING"]},"State":{"type":"string","enum":["AA","AE","AL","AP","AK","AZ","AR","AS","CA","CO","CT","DC","DE","FL","GA","GU","HI","ID","IL","IN","IA","KS","KY","LA","ME","MD","MA","MI","MN","MS","MO","MP","MT","NE","NV","NH","NJ","NM","NY","NC","ND","OH","OK","OR","PA","PR","RI","SC","SD","TN","TX","UM","UT","VT","VA","VI","WA","WV","WI","WY"]},"Country":{"type":"string","enum":["US","CA","RU","EG","ZA","GR","NL","BE","FR","ES","HU","IT","RO","CH","AT","GB","DK","SE","NO","PL","DE","PE","MX","CU","AR","BR","CL","CO","VE","MY","AU","ID","PH","NZ","SG","TH","JP","VN","CN","TR","IN","PK","AF","LK","IR","MA","DZ","TN","LY","GM","SN","MR","ML","GN","BF","NE","TG","BJ","MU","LR","SL","GH","NG","CF","TD","CM","CV","ST","GQ","GA","BS","AO","BB","AX","SD","RW","ET","SO","DJ","KE","TZ","UG","BI","MZ","ZM","MG","RE","ZW","NA","MW","LS","BW","AG","KM","GW","CD","VG","SH","AW","FO","GL","KY","GI","PT","LU","IE","IS","AL","MT","CY","FI","BG","GG","LT","LV","EE","MD","AM","BY","AD","SM","UA","HR","SI","BA","MK","XK","CZ","SK","LI","BM","GD","FK","BZ","GT","SV","HN","NI","CR","PM","HT","PR","VI","GS","SX","BQ","GP","BO","GY","EC","GF","PY","MQ","SR","UY","AN","TC","BL","MF","MS","GU","AQ","BN","NR","PG","TO","SB","VU","FJ","WF","CK","NU","AS","KI","NC","TV","PF","MP","PW","MH","FM","SS","LC","DM","VC","DO","HK","MO","KH","LA","TT","KN","JM","BD","TW","MM","KR","KP","LB","JO","SY","IQ","KW","SA","OM","AE","IL","BH","QA","BT","NP","TJ","TM","AZ","GE","UZ","AI","PA","CI","ER","KZ","KG","CC","MN","BV","SC","IO","WS","TL","TF","YT","PN","SJ","TK","UM","EH","MV","CX","NF","CG","MC","VA","SZ","PS","JE","IM","RS","ME","HM","CW","CS","YE","YD","SU","YU","ZR"]},"Address":{"type":"object","properties":{"startDate":{"type":"string","description":"The start date of the party address. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01"},"endDate":{"type":"string","description":"The end date of the party address. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01"},"addressType":{"$ref":"#/components/schemas/AddressType"},"addressLine1":{"type":"string","description":"Address Line 1 of the party address","example":"1112 Pickle Street"},"addressLine2":{"type":"string","description":"Address Line 2 of the party address","example":"South Jersey"},"addressLine3":{"type":"string","description":"Address Line 3 of the party address","example":"1234 Post box"},"city":{"type":"string","description":"City of the party address","example":"Garden City"},"state":{"$ref":"#/components/schemas/State"},"zipCode":{"type":"string","description":"Zip code of the party address","example":"67846"},"zipCodeExtension":{"type":"string","description":"Unit of the party address","example":"23"},"country":{"$ref":"#/components/schemas/Country"},"isPreferred":{"type":"boolean","description":"TBD"},"addressId":{"type":"string","description":"The record Id stored internally in zahara for each address","example":"1"},"preferredAddress":{"type":"boolean","description":"TBD","example":false}}},"PhoneType":{"type":"string","enum":["MOBILE","HOME","BUSINESS","CLAIMCENTER","CUSTOMERSERVICE","CORPORATEOFFICE","FAX","UNKNOWN","OTHER"]},"Phone":{"type":"object","properties":{"startDate":{"type":"string","description":"The start date of when the party can be reached via the phone.Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"endDate":{"type":"string","description":"The end date of when the party can be reached via the phone. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"phoneType":{"$ref":"#/components/schemas/PhoneType"},"countryCode":{"type":"string","description":"Country Code of the phone","example":"9"},"areaCode":{"type":"string","description":"Area code of the phone","example":"973"},"dialNumber":{"type":"string","description":"Dial number of the phone","example":"765789"},"extension":{"type":"string","description":"Dial in Extension for phone","example":"null"},"bestTime":{"type":"string","description":"The best time to contact the party via phone","example":"null"},"timezone":{"type":"string","description":"Timezone for the entered phone details","example":"null"},"isPreferred":{"type":"boolean","description":"The Preferred Phone Indicator is a boolean flag or attribute assigned to each phone number associated with a party, used to identify which phone number should be used as the primary contact number for communication"},"phoneId":{"type":"string","description":"The record Id stored internally in zahara for each phone","example":"1"}}},"EmailType":{"type":"string","enum":["PERSONAL","BUSINESS","CUSTOMERSERVICE","OTHER"]},"Email":{"type":"object","properties":{"startDate":{"type":"string","description":"The start date of when the party can be reached via email.Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"endDate":{"type":"string","description":"The end date of when the party can be reached via email. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"emailType":{"$ref":"#/components/schemas/EmailType"},"emailAddress":{"type":"string","description":"Email address of the party","example":"user@example.com"},"isPreferred":{"type":"boolean","description":"The Preferred Email Indicator is a boolean flag associated with each email address linked to a party, used to designate which email address should be treated as the primary contact for electronic communications"},"emailId":{"type":"string","description":"The record Id stored internally in zahara for each email","example":"1"}}},"BusinessSchedule":{"type":"object","properties":{"businessHourStart":{"type":"string","format":"time","example":"14:00:00Z","description":"Business Hour Start refers to the official start time of daily business operations for a specific organization, carrier, or department. In insurance and annuity systems, this value is often used to define operational cutoffs, processing schedules, customer service availability, and automated job executions"},"businessHourEnd":{"type":"string","format":"time","description":"Business Hour End refers to the official end time of daily business operations for a specific organization, carrier, or department. It defines the cutoff point for processing transactions, handling customer service requests, and running operational workflows on a given business day","example":"20:00:00Z"},"businessDays":{"type":"array","description":"Business Days refer to the official working days of the week during which business operations, transaction processing, and customer services are conducted. In insurance and annuity systems, business days determine when policies are processed, disbursements are executed, and service-level agreements (SLAs) are measured","items":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY"]}},"budgetCenter":{"type":"string","description":"Budget Center refers to a defined organizational unit within a company that is allocated a portion of the company’s overall budget and is responsible for tracking, managing, and controlling financial expenditures. In the context of insurance and annuity operations, a budget center is often linked to departments such as underwriting, claims, operations, or IT","example":"Everglades"}}},"AccountStatus":{"type":"string","enum":["ACTIVEBANKACCOUNT","TERMINATEDBANKACCOUNT"]},"AccountType":{"type":"string","enum":["CHECKING","SAVINGS","CREDITCARD","DEBITCARD","BROKERAGEACCOUNT","CERTIFICATEOFDEPOSIT","WIRE"]},"BankAccountPurpose":{"type":"string","enum":["LOANINTERESTBILLING","DISBURSEMENTS","LOANPRINCIPALBILLING","PREMIUMBILLING","ONETIMEPREMIUMBILLING","PAYOUT","ONETIMEWIRE"]},"BranchAddress":{"type":"object","properties":{"addressType":{"$ref":"#/components/schemas/AddressType"},"addressLine1":{"type":"string","example":"1112 Pickle Street","description":"Address line 1 of the Bank"},"addressLine2":{"type":"string","example":"South Jersey","description":"Address line 2 of the Bank"},"addressLine3":{"type":"string","example":"1234 Post box","description":"Address Line 3 of the bank"},"city":{"type":"string","example":"Garden City","description":"City of the bank address"},"state":{"$ref":"#/components/schemas/State"},"zipCode":{"type":"string","example":"67846","description":"Zip code of the bank address"},"zipCodeExtension":{"type":"string","example":"23","description":"Unit of the bank address"},"country":{"$ref":"#/components/schemas/Country"}}},"BankAccount":{"type":"object","properties":{"startDate":{"type":"string","description":"Date the Bank Account of the Party was added to the Policy. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"endDate":{"type":"string","description":"Date the Bank Account of the Party was terminated from the Policy. Date (with pattern \"yyyy-mm-dd\")","example":"2023-01-01","format":"date"},"nameOnAccount":{"type":"string","description":"Name of the Party on Bank Account","example":"abcdqwe"},"accountStatus":{"$ref":"#/components/schemas/AccountStatus"},"accountType":{"$ref":"#/components/schemas/AccountType"},"bankAccountPurpose":{"$ref":"#/components/schemas/BankAccountPurpose"},"accountNumber":{"type":"string","description":"The 7+ digit checking or savings account number","example":"34567777745678"},"routingNumber":{"type":"string","description":"The 9-digit routing transit number for the bank account/branch","example":"123456789"},"internationalBankAccountNumber":{"type":"string","description":"The bank account number for an international bank account (this field does not have check-digit validation)","example":"ibanNumber_66"},"branchName":{"type":"string","description":"The name of the bank (such as Chase Manhattan)","example":"branch_66"},"branchPhoneNumber":{"type":"string","description":"Phone Number of the Bank Branch","example":"7766667777"},"branchAddress":{"$ref":"#/components/schemas/BranchAddress"},"bankId":{"type":"string","description":"In the context of ACORD standards (the global data standards body for insurance), Bank ID refers to a unique identifier used to specify a financial institution involved in a disbursement, premium collection, or electronic funds transfer (EFT). It is critical for ensuring correct routing of payments or deposits between insurers, policyholders, beneficiaries, and third parties","example":"1"},"appliesToPartyId":{"type":"string","example":"Party_PI_1","description":"This unique id ties to the Party Role that the bank details correspondes to."}}},"Carrier":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time","description":"TBD","example":"2023-01-01T12:00:00.000Z"},"partyId":{"type":"string","description":"Party ID is a unique identifier assigned to a party (individual or entity) involved in an insurance or annuity contract. This identifier helps ensure accurate data exchange and tracking across insurance transactions","example":"ffae327c5ba748259fe426dd1bad5e9f"},"partyType":{"type":"string","description":"Defines Party type example individual or Organization or Trust. For Insured and Annuitant this should always be Individual","example":"Organization"},"url":{"$ref":"#/components/schemas/Url"},"name":{"type":"string","description":"The legal name of the Organization","example":"Everglades Insurance Company"},"doingBusinessAs":{"type":"string","description":"The name the organization is commonly known as","example":"Everglades Life"},"abbreviatedName":{"type":"string","description":"The shortened/abbreviated version of the organization's name that is unique to the organization","example":"EVGL"},"organizationCode":{"type":"string","description":"Code to Identify organization","example":"110"},"entityType":{"$ref":"#/components/schemas/EntityType"},"preferredCommunicationType":{"$ref":"#/components/schemas/CommunicationType"},"preferredAddressIndicator":{"type":"string","description":"Deprecated - kept for backward compatibility; instead use preferredAddressIndicator under Address section","example":"1"},"formerName":{"$ref":"#/components/schemas/FormerOrganizationName"},"identifications":{"type":"array","items":{"$ref":"#/components/schemas/Identification"}},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/Address"}},"phones":{"type":"array","items":{"$ref":"#/components/schemas/Phone"}},"emails":{"type":"array","items":{"$ref":"#/components/schemas/Email"}},"carrierId":{"type":"string","description":"The Carrier ID is a unique identifier assigned to an insurance company (carrier) that issues and underwrites a policy. It helps track, manage, and differentiate insurance providers within industry databases, regulatory systems, and digital platforms","example":"EVGL"},"parentCompanyId":{"type":"string","description":"Ultimate Parent Company ID refers to the unique identifier assigned to the top-most legal entity or corporate parent in an organizational hierarchy. In insurance and annuity systems, this ID is used to link a subsidiary, affiliate, or operational entity to its controlling parent company, ensuring clarity in ownership, regulatory reporting, and financial consolidation","example":"EVGLBP"},"organizationPurposeSystemOfRecord":{"type":"string","description":"In the context of a System of Record (SOR) in insurance and annuity systems, Organization Purpose refers to the role the organization plays in relation to the policy or contract. Specifically, terms like Processing and Holding define how the organization interacts with the policy data, assets, or transactions","example":"PROCESSING"},"generalAccountBusinessUnit":{"type":"string","description":"General Account Business Unit refers to the organizational or legal entity within an insurance company responsible for managing assets and liabilities held in the general account. This unit is accountable for all financial activities related to non-segregated (non-variable) insurance products where the carrier assumes investment risk","example":"158"},"separateAccountBusinessUnit":{"type":"string","description":"Separate Account Business Unit refers to the organizational or legal entity within an insurance company responsible for managing products and assets that are legally segregated from the general account. This unit specifically handles variable or investment-linked products, where the policyholder assumes the investment risk, and assets are maintained in separate investment pools","example":"TBD"},"setId":{"type":"string","description":"Carrier SET ID refers to a unique identifier used within insurance systems to represent a specific insurance carrier`s data set across policy administration, disbursement, and accounting platforms. It groups together all configuration, accounting rules, product definitions, and ledger mappings that apply to a particular carrier or legal entity","example":"EVGLCOC"},"bankCompanyId":{"type":"string","description":"Bank Company ID is a unique identifier assigned to an insurance company or business entity by its bank for electronic funds transfers (EFT), such as ACH (Automated Clearing House) transactions. It is used primarily to identify the originator of payments in financial networks and helps receiving banks verify the legitimacy of transactions","example":"3480409770"},"accountsPayableBusinessUnit":{"type":"string","description":"AP Business Unit (Accounts Payable Business Unit) refers to the distinct organizational or legal entity within an insurance company responsible for processing, approving, and recording outgoing payments, such as claims, policy loans, commissions, refunds, or vendor invoices","example":"Everglades"},"businessSchedule":{"$ref":"#/components/schemas/BusinessSchedule"},"emailSendingDomain":{"type":"string","description":"The domain used for sending emails on behalf of the carrier","example":"example.com"},"depositoryAccount":{"$ref":"#/components/schemas/BankAccount"},"depositoryAccounts":{"type":"array","items":{"$ref":"#/components/schemas/BankAccount"}},"controlledDisbursementAccount":{"$ref":"#/components/schemas/BankAccount"},"controlledDisbursementAccounts":{"type":"array","items":{"$ref":"#/components/schemas/BankAccount"}},"carrierCode":{"type":"string","description":"TBD"},"version":{"type":"integer","format":"int32"}}},"ErrorResponse":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time","example":"2023-01-01T12:00:00.000Z"},"message":{"type":"string"}}},"Metadata":{"type":"object","properties":{"isTobaccoUse":{"type":"boolean","description":"Indicates the tobacco usage status, used to differentiate mappings for risk classes that depend on smoking status. (i.e if smoker or non-smoker)"}}},"TranslationBase":{"type":"object","properties":{"systemOfRecordValue":{"type":"string","description":"The value from the Source of Record (e.g., Zahara) that needs to be translated to the corresponding carrier value"},"carrierValue":{"type":"string","description":"The equivalent value used by the carrier system that corresponds to the given sorValue"},"metadata":{"$ref":"#/components/schemas/Metadata"}}},"TranslationCategory":{"type":"object","properties":{"categoryName":{"type":"string","enum":["RISKCLASS","TABLERATING","COVERAGEBAND","PAYMENTMETHOD","TRANSACTION","FEATURE"],"description":"The group or classification of values for which translation is being requested"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/TranslationBase"}}}},"Translations":{"type":"object","properties":{"carrierId":{"type":"string","description":"The Carrier ID is a unique identifier assigned to an insurance company (carrier) that issues and underwrites a policy. It helps track, manage, and differentiate insurance providers within industry databases, regulatory systems, and digital platforms"},"planCode":{"type":"string","description":"The Plan Code is a carrier-assigned unique identifier used to distinguish a specific product, rate structure, and version of a life insurance or annuity policy. It ensures accurate policy tracking, pricing, and administration"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/TranslationCategory"}}}},"ThirdPartyAdministrator":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time","description":"TBD","example":"2023-01-01T12:00:00.000Z"},"partyId":{"type":"string","description":"Party ID is a unique identifier assigned to a party (individual or entity) involved in an insurance or annuity contract. This identifier helps ensure accurate data exchange and tracking across insurance transactions","example":"ffae327c5ba748259fe426dd1bad5e9f"},"customerId":{"type":"string","description":"Assigned by Sales Force and used by all platforms","example":"TBD"},"partyType":{"type":"string","description":"Defines Party type example individual or Organization or Trust. For Insured and Annuitant this should always be Individual","example":"Organization"},"url":{"$ref":"#/components/schemas/Url"},"name":{"type":"string","description":"TBD","example":"Zinnia"},"doingBusinessAs":{"type":"string","description":"The name the organization is commonly known as","example":"TBD"},"abbreviatedName":{"type":"string","description":"The shortened/abbreviated version of the organization`s name that is unique to the organization","example":"EVGL"},"organizationCode":{"type":"string","description":"Code to Identify organization","example":"12345678"},"entityType":{"$ref":"#/components/schemas/EntityType"},"preferredCommunicationType":{"$ref":"#/components/schemas/CommunicationType"},"preferredAddressIndicator":{"type":"string","description":"Deprecated - kept for backward compatibility; instead use preferredAddressIndicator under Address section","example":"1"},"formerName":{"$ref":"#/components/schemas/FormerOrganizationName"},"identifications":{"type":"array","items":{"$ref":"#/components/schemas/Identification"}},"addresses":{"type":"array","items":{"$ref":"#/components/schemas/Address"}},"phones":{"type":"array","items":{"$ref":"#/components/schemas/Phone"}},"emails":{"type":"array","items":{"$ref":"#/components/schemas/Email"}},"organizationPurposeSystemOfRecord":{"type":"string","description":"In the context of a System of Record (SOR) in insurance and annuity systems, Organization Purpose refers to the role the organization plays in relation to the policy or contract. Specifically, terms like Processing and Holding define how the organization interacts with the policy data, assets, or transactions","example":"PROCESSING"},"generalAccountBusinessUnit":{"type":"string","description":"General Account Business Unit refers to the organizational or legal entity within an insurance company responsible for managing assets and liabilities held in the general account. This unit is accountable for all financial activities related to non-segregated (non-variable) insurance products where the carrier assumes investment risk","example":"TBD"},"separateAccountBusinessUnit":{"type":"string","description":"Separate Account Business Unit refers to the organizational or legal entity within an insurance company responsible for managing products and assets that are legally segregated from the general account. This unit specifically handles variable or investment-linked products, where the policyholder assumes the investment risk, and assets are maintained in separate investment pools","example":"TBD"},"version":{"type":"integer","description":"TBD","format":"int32"}}},"ChartOfAccount":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time","description":"TBD","example":"2023-01-01T12:00:00.000Z"},"carrierId":{"type":"string","description":"Carrier Code is a unique identifier assigned to each insurance carrier (insurance company) within a system, typically used to distinguish between multiple carriers in a multi-carrier environment. It is essential for chart of account setup, policy administration, and reporting across insurance platforms","example":"EVGL"},"carrierSetId":{"type":"string","description":"Carrier SET ID refers to a system-specific grouping identifier that represents a set of data, configuration, or financial parameters uniquely tied to a particular carrier within the chart of accounts and policy administration system","example":"EVGLCOC"},"planCode":{"type":"string","description":"The Plan Code is a carrier-assigned unique identifier used to distinguish a specific product, rate structure, and version of a life insurance or annuity policy. It ensures accurate policy tracking, pricing, and administration","example":"PLAN001"},"qualificationType":{"type":"string","enum":["INDIVIDUALRETIREMENTACCOUNTREGULAR","INDIVIDUALRETIREMENTACCOUNTSPOUSAL","INDIVIDUALRETIREMENTACCOUNTROLLOVER","ROTHINDIVIDUALRETIREMENTACCOUNT","CUSTODIALINDIVIDUALRETIREMENTACCOUNT","CUSTODIALROTHINDIVIDUALRETIREMENTACCOUNT","CUSTODIALROLLOVERINDIVIDUALRETIREMENTACCOUNT","QUALIFIED","NONQUALIFIED","SIMPLIFIEDEMPLOYEEPENSIONINDIVIDUALRETIREMENTACCOUNT","INHERITEDINDIVIDUALRETIREMENTACCOUNT","INHERITEDROTHINDIVIDUALRETIREMENTACCOUNT","NONQUALIFIEDSTRETCH","INDIVIDUALRETIREMENTACCOUNTSIMPLE","Q403B","Q401K","Q401A","Q457B","PENSIONPLAN","CONVERTEDINDIVIDUALRETIREMENTACCOUNT","ROTH403B","CUSTODIALINDIVIDUALRETIREMENTACCOUNTSIMPLIFIEDEMPLOYEEPENSION","KEOGH10","CORPORATEPENSION","GROUPTAXSHELTEREDANNUITY","PROFITSHARING","TARGETBENEFIT","CORPORATEDEFERREDCOMPENSATION404","EDUCATIONALINDIVIDUALRETIREMENTACCOUNT","QN457B","CONVERTED","SPOUSAL","CUSTODIAL","UNIFORMGIFTSORTRANSFERSTOMINORACT","CUSTODIALQUALIFIEDLONGEVITYANNUITYCONTRACTINDIVIDUALRETIREMENTACCOUNT","CUSTODIALSIMPLEINDIVIDUALRETIREMENTACCOUNT","MONEYPURCHASEPENSIONPLAN","Q401G","Q412E3","QUALIFIEDLONGEVITYANNUITYCONTRACTINDIVIDUALRETIREMENTACCOUNT","ROTH401K","VARIABLEUNIVERSALLIFENONQUALIFIED"],"description":"The Qualification Type in life insurance and annuities refers to the tax law provision or regulatory classification that governs a policy or contract, indicating whether it falls under a tax-advantaged retirement plan (IRA, 401(k), 403(b)) or a non-qualified account"},"accountNumber":{"type":"string","description":"Account Number refers to a unique numeric or alphanumeric identifier assigned to a general ledger account within the chart of accounts for an insurance carrier. It is used to classify and record financial transactions such as premiums, claims, commissions, reserves, or administrative expenses","example":"299032"},"account":{"type":"string","enum":["GENERAL"],"description":"In the context of an insurance Chart of Accounts, Account refers to the classification of financial activity as it relates to either a General Account or a Separate Account. This designation helps insurers manage and report assets and liabilities according to their investment and ownership structure"},"generalLedgerAccount":{"type":"string","description":"A General Ledger (GL) Account is a system-defined record that captures and categorizes financial transactions within an insurer`s accounting framework. It is a fundamental component of the Chart of Accounts, used to organize and report assets, liabilities, income, and expenses associated with life and annuity products, policyholder transactions, and operational activities","example":"GL531100"},"generalLedgerAccountShortName":{"type":"string","description":"GL Short Name refers to a concise, system-friendly label assigned to a General Ledger (GL) account for ease of reference, display, and reporting in financial systems. It provides a brief but meaningful identifier for the full GL account name, especially in user interfaces, dashboards, and exports where space is limited","example":"TBD"},"accountType":{"type":"string","enum":["ASSET","LIABILITY","INCOME","BENEFIT"],"description":"Account Type refers to the category that classifies a general ledger (GL) account based on the nature of its financial activity, such as asset, liability, equity, income, or expense. It determines how the account behaves in financial reporting, balance sheets, and income statements, and is critical for structuring the chart of accounts in insurance and annuity accounting systems"},"accountTypeCode":{"type":"string","enum":["A","L","I","B"],"description":"Account Type Code is a system-assigned or standardized alphanumeric identifier used to represent the classification of a general ledger (GL) account by its financial nature—such as Asset, Liability, Equity, Income, or Expense—in a structured and codified format. It is used in chart of account setups for reporting, system logic, and integration"},"version":{"type":"integer","format":"int32"}}},"Account":{"type":"string","enum":["GENERAL"]},"ChartOfAccountRequestFields":{"type":"object","properties":{"carrierId":{"type":"string","description":"Carrier Code","example":"EVGL"},"carrierSetId":{"type":"string","description":"The Carrier ID is a unique identifier assigned to an insurance company (carrier) that issues and underwrites a policy. It helps track, manage, and differentiate insurance providers within industry databases, regulatory systems, and digital platforms","example":"EVGLCOC"},"planCode":{"type":"string","description":"The Plan Code is a carrier-assigned unique identifier used to distinguish a specific product, rate structure, and version of a life insurance or annuity policy. It ensures accurate policy tracking, pricing, and administration","example":"PLAN001"},"qualificationType":{"type":"string","enum":["INDIVIDUALRETIREMENTACCOUNTREGULAR","INDIVIDUALRETIREMENTACCOUNTSPOUSAL","INDIVIDUALRETIREMENTACCOUNTROLLOVER","ROTHINDIVIDUALRETIREMENTACCOUNT","CUSTODIALINDIVIDUALRETIREMENTACCOUNT","CUSTODIALROTHINDIVIDUALRETIREMENTACCOUNT","CUSTODIALROLLOVERINDIVIDUALRETIREMENTACCOUNT","QUALIFIED","NONQUALIFIED","SIMPLIFIEDEMPLOYEEPENSIONINDIVIDUALRETIREMENTACCOUNT","INHERITEDINDIVIDUALRETIREMENTACCOUNT","INHERITEDROTHINDIVIDUALRETIREMENTACCOUNT","NONQUALIFIEDSTRETCH","INDIVIDUALRETIREMENTACCOUNTSIMPLE","Q403B","Q401K","Q401A","Q457B","PENSIONPLAN","CONVERTEDINDIVIDUALRETIREMENTACCOUNT","ROTH403B","CUSTODIALINDIVIDUALRETIREMENTACCOUNTSIMPLIFIEDEMPLOYEEPENSION","KEOGH10","CORPORATEPENSION","GROUPTAXSHELTEREDANNUITY","PROFITSHARING","TARGETBENEFIT","CORPORATEDEFERREDCOMPENSATION404","EDUCATIONALINDIVIDUALRETIREMENTACCOUNT","QN457B","CONVERTED","SPOUSAL","CUSTODIAL","UNIFORMGIFTSORTRANSFERSTOMINORACT","CUSTODIALQUALIFIEDLONGEVITYANNUITYCONTRACTINDIVIDUALRETIREMENTACCOUNT","CUSTODIALSIMPLEINDIVIDUALRETIREMENTACCOUNT","MONEYPURCHASEPENSIONPLAN","Q401G","Q412E3","QUALIFIEDLONGEVITYANNUITYCONTRACTINDIVIDUALRETIREMENTACCOUNT","ROTH401K","VARIABLEUNIVERSALLIFENONQUALIFIED"],"description":"Qualification type of original policy being exchanged"},"accountNumber":{"type":"string","description":"GL Account Number","example":"299032"},"account":{"$ref":"#/components/schemas/Account"},"generalLedgerAccount":{"type":"string","description":"Account numbers used to categorize types of financial transactions","example":"GL531100"},"generalLedgerAccountShortName":{"type":"string","description":"Account numbers used to categorize types of financial transactions","example":"TBD"},"accountType":{"type":"string","enum":["ASSET","LIABILITY","INCOME","BENEFIT"],"description":"Account Type refers to the category that classifies a general ledger (GL) account based on the nature of its financial activity, such as asset, liability, equity, income, or expense. It determines how the account behaves in financial reporting, balance sheets, and income statements, and is critical for structuring the chart of accounts in insurance and annuity accounting systems"},"accountTypeCode":{"type":"string","enum":["A","L","I","B"],"description":"Account Type Code is a system-assigned or standardized alphanumeric identifier used to represent the classification of a general ledger (GL) account by its financial nature—such as Asset, Liability,Equity, Income, or Expense—in a structured and codified format. It is used in chart of account setups for reporting, system logic, and integration"}}},"ProductType":{"type":"string","enum":["WHOLELIFE","UNIVERSALLIFE","VARIABLEUNIVERSALLIFE","VARIABLEWHOLELIFE","INDEXEDUNIVERSALLIFE","FIXEDANNUITY","FIXEDINDEXEDANNUITY","TERM","TERMWITHCASHVALUE"]},"Rules":{"type":"object","properties":{"variable":{"type":"string"},"entityType":{"type":"string"},"debitAccount":{"type":"string"},"creditAccount":{"type":"string"},"ledgerType":{"type":"string"}}},"AccountingEntryRules":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the rule","example":"65a867a326d49513ae85c2d3"},"timestamp":{"type":"string","description":"The timestamp of the rule","example":"2023-01-01T12:00:00.000Z"},"productType":{"$ref":"#/components/schemas/ProductType"},"transactionType":{"type":"string","enum":["Activation","AddOwner","AddressChange","AgentChange","AnnuitantChange","Anniversary","AnnualPolicyRefreshAndRecalculation","AssigneeChange","BankAccountChange","BeneficiaryChange","CalendarProcessing","CancelNoPremium","ClaimPayout","CommunicationPreferenceChange","ConversionActivation","CostOfInsurance","CoverageCharge","CoverageCredit","DeathClaim","DeliveryDateSetup","Disbursement","EmailChange","ExistingPartyNameChange","ExpenseCharge","FaceAmountChange","FaceAmountDecrease","FaceAmountIncrease","FeatureChange","ForceOut","FreeLookExpiration","FreeLookCancellation","FullSurrender","FundAllocationsChange","FundTransfer","GrantorChange","PaymentInitialPremium","IdentifierChange","InitialPremium","InterestCredit","InterestCreditLoan","InterestCreditMatch","InterestLoan","Issuance","Lapse","LapseAssessment","LoanAnniversaryTrueUp","LoanRepaymentOneTime","MatchBonusVesting","MultipleBeneficiaryChange","MultipleEmailChange","MultiplePayeeChange","MultipleAgentChange","MultipleOwnerChange","MultipleAnnuitantChange","MultiplePhoneNumberChange","NewLoan","NotificationOfDeathClaim","OneTimePremium","OwnerChange","PartialWithdrawalOneTime","PolicyDetailsChange","PayeeChange","PaymentExpiration","PaymentLoanRepaymentOneTime","PaymentOneTimePremium","PaymentSystematicLoanRepayment","PayorChange","PhoneNumberChange","RateRenewal","RemoveOwner","Rescission","PowerOfAttorneyChange","PreferredMailingAddressChange","Reinstatement","ReinstatementApproved","Reissuance","RequiredMinimumDistributionOneTime","SubsequentPayment","SubsequentPremium","Sweep","SystematicLoanRepayment","SystematicLoanRepaymentSetup","SystematicPartialWithdrawal","SystematicPartialWithdrawalSetup","SystematicRequiredMinimumDistribution","SystematicRequiredMinimumDistributionSetup","SystematicPaymentSetup","SystematicAnnuityPayout","SystematicAnnuityPayoutSetup","SystematicProgramUpdate","TPDChange","TrusteeChange","UnitExpenseCharge","ValueAdjustment","YearBeginningRefreshAndRecalculation","WithdrawnApplication","DollarCostAverage","ProcessingDate","ServiceCharge","TransferCharge","RiderAddition","Annuitization","AnnuityBenefitReduction","Reclassification","FlatExtraChange","Commutation","Dividend","DividendFeatureCharge","MarketTimerFee","InterimAnnualProcessing","HardshipWithdrawal","HardshipEnd","ResetBenefitAmounts","GuaranteedAccumulationBenefitPeriodEnd","GainLossChargeBack","SpousalContinuation","PeriodicCharge","DeathBenefitLockIn","RatchetLockIn","GrowthDeathBenefitLockIn","DateOfDeath","BenefitAmountAutoAdjustment","NotificationOfRiderClaimStart","LongTermCareBenefitStartStop","DailyRatchet","AnnuitizationAnniversary","DeclineFeeChange","GuaranteedWithdrawalBenefitPaymentLockIn","ExcessInterestCredit","LongTermCareWithdrawal","GuaranteedWithdrawalBenefitInterestAdjustment","InvestmentAdvisorFee","PayoutAmountChange","AdditionalBenefitStart","AdditionalBenefitEnd","RiderActivationAnniversary","AdditionalBenefitRenew","QualifiedPlanChange","AdvanceAnnuityPayment","PartialCommutation","GuaranteedIndexRates","BailoutRenewal","NonLifeAnnuitization","AdditionalBenefitReCertification","CostBasisReceived","FreeWithdrawalRecalculation","YearEndGain","LongTermCareCertificationDate","QuarterlyProcessing","BenefitBaseAdjustment","RiderBenefitBaseLockIn","GuaranteedDeathBenefitRollUpRenew","GuaranteedWithdrawalBenefitRollUpRenew","RiderCharge","LongTermCareFeeStartStop","LongTermCareAssessmentCharge","RoleBirthday","PendingUnclaimedProperty","PendingPartialUnclaimedProperty","LiquidatedUnclaimedProperty","SystematicRiderClaimWithdrawalSetup","SystematicRiderClaimWithdrawal","TaxWithholdingChange","MultipleTrusteeChange","MultiplePowerOfAttorneyChange","OtherInterestedPartyChange","MultipleAuthorizedSignatoryChange","AuthorizedSignatoryChange","ExchangeCompanyChange","BillingFeatureChange","GWBPhaseChange"],"description":"Specifies the type of transaction being performed, such as Premium Payment, Loan Repayment, Anniversary etc"},"rules":{"description":"The rules for the entry","type":"array","items":{"$ref":"#/components/schemas/Rules"}},"carrierId":{"type":"string","description":"The Carrier ID is a unique identifier assigned to an insurance company (carrier) that issues and underwrites a policy. It helps track, manage, and differentiate insurance providers within industry databases, regulatory systems, and digital platforms","example":"EVGL"},"carrierSetId":{"type":"string","description":"The carrier set ID","example":"EVGLCOC"},"planCode":{"type":"string","description":"The Plan Code is a carrier-assigned unique identifier used to distinguish a specific product, rate structure, and version of a life insurance or annuity policy. It ensures accurate policy tracking, pricing, and administration","example":"PLAN001"},"qualificationType":{"type":"string","description":"Qualification type of original policy being exchanged","enum":["INDIVIDUALRETIREME
[...]
